package io.xjar.reflection;

import java.lang.reflect.Field;

public class XField
{
    private final Field field;
    
    XField(final Field field) {
        this.field = field;
    }
    
    public XValue get(final Object target) {
        try {
            return new XValue(this.field.get(target));
        }
        catch (final IllegalAccessException e) {
            throw new IllegalStateException(e);
        }
    }
    
    public void set(final Object target, final Object value) {
        try {
            this.field.set(target, value);
        }
        catch (final IllegalAccessException e) {
            throw new IllegalStateException(e);
        }
    }
    
    public Field field() {
        return this.field;
    }
}
